# std::move_iterator::base

From cppreference.com
< cpp‎ | iterator‎ | move iterator

Iterator base() const; |  | (until C++17)
constexpr Iterator base() const; |  | (since C++17)

Returns the underlying base iterator.

### Parameters

(none)

### Return value

The underlying iterator.

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

operator*operator-> | accesses the pointed-to element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_iterator/base&oldid=50879"
Category:

- Todo no example